Bug 41867 - rhn_register foobars on fresh Alpha install
rhn_register foobars on fresh Alpha install
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rhn_register (Show other bugs)
7.1
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-22 14:06 EDT by Arjan van de Ven
Modified: 2015-01-07 18:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-22 14:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2001-05-22 14:06:29 EDT
Traceback (innermost last):
  File "/usr/sbin/rhn_register", line 119, in ?
    main()
  File "/usr/sbin/rhn_register", line 88, in main
    gui.main()
  File "/usr/share/rhn/register/gui.py", line 709, in main
    gui = Gui()
  File "/usr/share/rhn/register/gui.py", line 87, in __init__
    sp.set_text(rhnreg.welcomeText())
  File "/usr/share/rhn/register/rhnreg.py", line 294, in welcomeText
    return s.registration.welcome_message()
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 623, in
__call__
    return self.__send(self.__name, args)
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 673, in
__request
    self.__password
  File "/usr/lib/python1.5/site-packages/xmlrpclib.py", line 582, in
request
    headers, fd = req.send_http(host, proxy, handler, self.__type)
  File "/usr/lib/python1.5/site-packages/cgiwrap.py", line 461, in
send_http
    h = myHTTPS(host, port, self.__ca_chain)
  File "/usr/lib/python1.5/site-packages/cgiwrap.py", line 130, in __init__
    httplib.HTTPS.__init__(self, host, port, cachain)
  File "/usr/lib/python1.5/httplib.py", line 214, in __init__
    HTTP.__init__(self, host, port)
  File "/usr/lib/python1.5/httplib.py", line 53, in __init__
    if host: self.connect(host, port)
  File "/usr/lib/python1.5/site-packages/cgiwrap.py", line 169, in connect
    ssl = socket.ssl(sock, self.ca_chain)
socket.sslerror: SSL_connect error
Comment 1 Phil Copeland 2001-06-04 17:20:13 EDT
Fixed in current CSV/release  candidate...

Note this is a openssl bug that was recently fixed

Note You need to log in before you can comment on or make changes to this bug.